Subject: Re: [PATCHv3 2/6] net: Add MDIO bus driver for the Allwinner EMAC

From: Maxime Ripard <[email-masked]>
Date: Fri, 24 May 2013 12:14:19 +0200

Hi Florian,

On Fri, May 24, 2013 at 10:42:30AM +0100, Florian Fainelli wrote:
> Hello Maxime,
> 
> 2013/5/24 Maxime Ripard <[email-masked]>
> >
> > This patch adds a separate driver for the MDIO interface of the
> > Allwinner ethernet controllers.
> >
> > Signed-off-by: Maxime Ripard <[email-masked]>
> > ---
> >  .../bindings/net/allwinner,sun4i-mdio.txt          |  26 +++
> >  drivers/net/ethernet/allwinner/Kconfig             |   8 +
> >  drivers/net/ethernet/allwinner/Makefile            |   1 +
> >  drivers/net/ethernet/allwinner/sun4i-mdio.c        | 191 +++++++++++++++++++++
> 
> Ok, so you probably followed Thomas's example here with mvneta/mvmdio,
> but all other MDIO bus drivers live in drivers/net/phy.

Indeed I shamelessly followed Thomas here.

> Unfortunately, mvmdio lives in drivers/net/ethernet/marvell/mvmdio.c
> which I should have noticed before. Whatever is good for you guys, but
> we should probably start normalizing this now before more mdio drivers
> get merged alongside their corresponding ethernet MAC users.

I'm fine with either way, just tell me where to put it and I'll happily
do so.

Maxime

-- 
Maxime Ripard, Free Electrons
Embedded Linux, Kernel and Android engineering
http://free-electrons.com